import { WebFoundationApplicationSettings } from '../settings';
import { WebContext, WebController } from '@e2/web';
import { MicrosoftAuthenticatorOptions } from '../services/authenticators/microsoft/MicrosoftAuthenticator';
import { ExternalUserModel } from '../models/ExternalUserModel';
import { UserModel } from '../models/UserModel';
import { IAuthenticationProfile } from '../services/authenticators/IAuthenticationProfile';
export declare abstract class AbstractMicrosoftAuthenticationController<T extends WebFoundationApplicationSettings> extends WebController<T> {
    abstract configure(ctx: WebContext<T>): Promise<MicrosoftAuthenticatorOptions>;
    abstract authenticated(ctx: WebContext<T>, externalUser: ExternalUserModel, foundUsers: Array<UserModel>, loggedInUser: UserModel | null): Promise<UserModel>;
    start(ctx: WebContext<T>): Promise<void>;
    callback(ctx: WebContext<T>): Promise<void | UserModel>;
    protected findOrCreateExternalUser(ctx: WebContext<T>, profile: IAuthenticationProfile): Promise<ExternalUserModel>;
    protected findLinkedUsers(ctx: WebContext<T>, externalUser: ExternalUserModel): Promise<Array<UserModel>>;
    private findCurrentUser(ctx);
}
