import { IActivatable, IBlockable, IDeletable, IIdentityProfile, IProfile, IVertex } from '@e2/mongodb';
export interface UserSettings {
    MAX_NUMBER_OF_ACCOUNTS_PER_USER: number;
    MAX_UPLOAD_SIZE: number;
}
export interface UserAddress {
    address: string;
    postalCode: string;
    city: string;
    state: string;
    countryCode: string;
    country: string;
}
export interface IUser extends IVertex, IActivatable, IBlockable, IDeletable, IProfile {
    displayName: string;
    displayImageURL: string;
    signature?: any;
    location?: any;
    address: UserAddress;
    email?: string;
    mobile?: string;
    roles: Array<string>;
    identities: any;
    settings: UserSettings;
    expires: Date;
    createdAt: Date;
    createdFrom: string;
    createdBy: IIdentityProfile;
    updatedAt: Date;
    updatedFrom: string;
    updatedBy: IIdentityProfile;
    activated?: boolean;
    activatedAt?: Date;
    activatedFrom?: string;
    activatedBy?: IIdentityProfile;
    activatedReason?: string;
    blocked?: boolean;
    blockedAt?: Date;
    blockedFrom?: string;
    blockedBy?: IIdentityProfile;
    blockedReason?: string;
    deleted?: boolean;
    deletedAt?: Date;
    deletedFrom?: string;
    deletedBy?: IIdentityProfile;
    deletedReason?: string;
}
