import { Identity, IResolver } from '@e2/web';
import { UserModel } from '../models/UserModel';
import { ExternalUserModel } from '../models/ExternalUserModel';
import { EmailModel } from '../models/EmailModel';
import { WebFoundationApplicationSettings } from '../settings';
export declare class UserMutations {
    static FindOrCreateFromExternalUser(db: IResolver, settings: WebFoundationApplicationSettings, identity: Identity, externalUser: ExternalUserModel): Promise<UserModel>;
    static CreateFromExternalUser(db: IResolver, settings: WebFoundationApplicationSettings, identity: Identity, externalUser: ExternalUserModel): Promise<UserModel>;
    static CreateFromEmail(db: IResolver, settings: WebFoundationApplicationSettings, identity: Identity, email: EmailModel): Promise<UserModel>;
    static Update(db: IResolver, settings: WebFoundationApplicationSettings, identity: Identity, user: UserModel, props: any): Promise<UserModel | null>;
}
