/// <reference types="node" />
import { RestClient } from '../rest/RestClient';
export interface MicrosoftUser {
    '@odata.context': string;
    id: string;
    businessPhones: Array<string>;
    displayName: string;
    givenName: string;
    jobTitle: string;
    mail: string;
    mobilePhone: string;
    officeLocation: string;
    preferredLanguage: string;
    surname: string;
    userPrincipalName: string;
}
export interface MicrosoftPhotoMetadata {
    '@odata.context': string;
    '@odata.mediaContentType': string;
    '@odata.mediaEtag': string;
    id: string;
    height: number;
    width: number;
}
export declare class MicrosoftClient extends RestClient {
    constructor(access_token: string);
    profile(): Promise<MicrosoftUser>;
    photo(): Promise<MicrosoftPhotoMetadata>;
    photoImage(photoSize: string): Promise<Buffer>;
    photoImageURL(): Promise<string | null>;
}
