import { IExternalUserIdentity, IExternalUserMandatoryFields, IExternalUserOptionalFields } from '../../interfaces/ExternalUser';
export interface IAuthenticationProfile extends IExternalUserMandatoryFields, IExternalUserOptionalFields {
    uid: number | string;
    provider: string;
    providerProtocol: string | 'oauth' | 'oauth2' | 'bot';
    providerData: any;
    identities: Array<IExternalUserIdentity>;
    username: string | null;
    domain: string | null;
    email: string | null;
    emailCertified: boolean;
    mobile: string | null;
    mobileCertified: boolean;
    displayName: string;
    displayImageURL: string | null;
    familyName: string | null;
    givenName: string | null;
    gender: string | null;
    dob: Date | null;
    status: string | null;
    bio: string | null;
    homepage: string | null;
}
