import { IAuthenticator } from '../IAuthenticator';
import { IAuthenticationToken } from '../IAuthenticationToken';
import { IAuthenticationProfile } from '../IAuthenticationProfile';
import { UserModel } from '../../../models/UserModel';
export interface MicrosoftAuthenticatorOptions {
    clientId: string;
    clientSecret: string;
    tenantId: string;
    scope: Array<string>;
}
export interface MicrosoftIdToken {
    ver: string;
    iss: string;
    sub: string;
    aud: string;
    exp: number;
    iat: number;
    nbf: number;
    name: string;
    preferred_username: string;
    oid: string;
    email: string;
    tid: string;
    aio: string;
}
export interface MicrosoftToken extends IAuthenticationToken {
    id_token: MicrosoftIdToken;
}
export declare class MicrosoftAuthenticator implements IAuthenticator {
    scope: string;
    oauth: any;
    constructor(options: MicrosoftAuthenticatorOptions);
    getAuthorizeURL(redirect_uri: string, state: any): string;
    getSuccessURL(user: UserModel): string;
    getFailureURL(err: Error): string;
    getToken(redirect_uri: string, code: string): Promise<MicrosoftToken>;
    getProfile(token: MicrosoftToken): Promise<IAuthenticationProfile>;
}
